# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['acfc']

package_data = \
{'': ['*']}

install_requires = \
['configparser>=5.0.2,<6.0.0', 'pyaml>=21.10.1,<22.0.0']

setup_kwargs = {
    'name': 'acfc',
    'version': '2.2.0',
    'description': 'Alacritty Colors to Foot Colors (Converter)',
    'long_description': "# acfc\n\n[![downloads/month](https://img.shields.io/pypi/dm/acfc)](https://pypi.org/project/acfc/)\n\n[Alacritty](https://github.com/alacritty/alacritty) colors to\n[Foot](https://codeberg.org/dnkl/foot) colors — Convert Alacritty's YAML color\nconfiguration to Foot's INI color configuration.\n\n## Installation\n\n```\npip install acfc\n```\n\n## Usage\n\nacfc accepts only one argument, i.e. a path to a YAML file. It'll then chuck out\nits INI equivalent to the terminal. It can also read from stdin.\n\n```\npython -m acfc input.yml\n```\n\n- Input:\n```yaml\ncolors:\n  bright:\n    black: '#555555'\n    blue: '#bd93f9'\n    cyan: '#8be9fd'\n    green: '#50fa7b'\n    magenta: '#ff79c6'\n    red: '#ff5555'\n    white: '#ffffff'\n    yellow: '#f1fa8c'\n  cursor:\n    cursor: '#bbbbbb'\n    text: '#ffffff'\n  normal:\n    black: '#000000'\n    blue: '#bd93f9'\n    cyan: '#8be9fd'\n    green: '#50fa7b'\n    magenta: '#ff79c6'\n    red: '#ff5555'\n    white: '#bbbbbb'\n    yellow: '#f1fa8c'\n  primary:\n    background: '#1e1f29'\n    foreground: '#f8f8f2'\n  selection:\n    background: '#44475a'\n    text: '#ffffff'\n```\n\n- Output:\n```ini\n[cursor]\ncolor=ffffff bbbbbb\n[colors]\nforeground=f8f8f2\nbackground=1e1f29\nregular0=000000\nregular1=ff5555\nregular2=50fa7b\nregular3=f1fa8c\nregular4=bd93f9\nregular5=ff79c6\nregular6=8be9fd\nregular7=bbbbbb\nbright0=555555\nbright1=ff5555\nbright2=50fa7b\nbright3=f1fa8c\nbright4=bd93f9\nbright5=ff79c6\nbright6=8be9fd\nbright7=ffffff\nselection-foreground=ffffff\nselection-background=44475a\n```\n\n## Thanks to\n\n- [configparser](https://github.com/jaraco/configparser) by Jason R. Coombs\n- [pyaml](https://github.com/mk-fg/pretty-yaml) by Mike Kazantsev\n\n## License\n\nThis neat little project is licensed under the MIT license.\n",
    'author': 'grtcdr',
    'author_email': 'ba.tahaaziz@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
